Holdout API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

In the case an experiment is running with a Holdout/Control group, the Path object will be returned with an attribute indicating whether the user is part of the holdout group.

{
  "paths": [
    {
      "name": "Test prompt",
      ...
      "holdout": true,
      ...
    }
  ]
}

If "holdout": true, the prompt should not be rendered, but rather the Holdout API should be invoked at the time the prompt would normally be triggered. Once the Holdout API has been invoked, subsequent Ping responses will no longer include this particular Path object.

Path Params
string
required

ID from Path object returned from Ping API

Query Params
string

Accepted values are web, roku_os, ios, tv_os, android_os (additional values for custom devices may be specified). Defaults to web if not specified.

string

Value from Path object returned from Ping API

Headers
string

Unique identifier for the unauthenticated user

string

Unique authenticated identifier for the user

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json